Skip to main content
GET
/
flows
/
name
/
{name}
Read Flow By Name
curl --request GET \
  --url https://api.example.com/flows/name/{name}
import requests

url = "https://api.example.com/flows/name/{name}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/flows/name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "tags": [
    "<string>"
  ],
  "labels": {
    "key": "value1",
    "key2": 42
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-prefect-api-version
string

Path Parameters

name
string
required

The name of the flow

Response

Successful Response

An ORM representation of flow data.

id
string<uuid>
required
created
string<date-time> | null
required
updated
string<date-time> | null
required
name
string
required

The name of the flow

Pattern: ^[^/%&><]+$
Example:

"my-flow"

tags
string[]

A list of flow tags

Example:
["tag-1", "tag-2"]
labels
Labels · object | null

A dictionary of key-value labels. Values can be strings, numbers, or booleans.

Example:
{ "key": "value1", "key2": 42 }